Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.deployment
Class GroovyHotDeploymentStrategy

    java.lang.Object
      org.jboss.seam.deployment.DeploymentStrategy
          org.jboss.seam.deployment.HotDeploymentStrategy
              org.jboss.seam.deployment.GroovyHotDeploymentStrategy

    public class GroovyHotDeploymentStrategy

extends HotDeploymentStrategy

A deployment strategy for hot deploying Seam groovy components

Author:
  Pete Muir

Field Summary

Fields inherited from class org.jboss.seam.deployment.HotDeploymentStrategy
`HOT_DEPLOYMENT_DIRECTORY_PATH`

Constructor Summary
`GroovyHotDeploymentStrategy(ClassLoader classLoader, File hotDeployDirectory)`

Method Summary
`ClassLoader` | `getClassLoader()` Get the classloader to use
`Set<Class<Object>>` | `getScannedComponentClasses()` Get all Components which the strategy has scanned and handled
`boolean` | `isFromHotDeployClassLoader(Class componentClass)` Return true if the component is from a hot deployment classloader

Methods inherited from class org.jboss.seam.deployment.HotDeploymentStrategy
`createInstance, getHotDeploymentPaths, scan`

Methods inherited from class org.jboss.seam.deployment.DeploymentStrategy
`getDeploymentHandlers, getScanner, handle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyHotDeploymentStrategy

    public GroovyHotDeploymentStrategy(ClassLoader classLoader,
                                       File hotDeployDirectory)

Parameters:
  `classLoader` - The parent classloader of the hot deployment classloader
  `hotDeployDirectory` - The directory in which hot deployable java and groovy Seam components are placed

Method Detail

### getClassLoader

    public ClassLoader getClassLoader()

  Description copied from class: `DeploymentStrategy`
  Get the classloader to use

  Overrides:
    `getClassLoader` in class `HotDeploymentStrategy`

### isFromHotDeployClassLoader

    public boolean isFromHotDeployClassLoader(Class componentClass)

  Description copied from class: `HotDeploymentStrategy`
  Return true if the component is from a hot deployment classloader

  Overrides:
    `isFromHotDeployClassLoader` in class `HotDeploymentStrategy`

### getScannedComponentClasses

    public Set<Class<Object>> getScannedComponentClasses()

  Description copied from class: `HotDeploymentStrategy`
  Get all Components which the strategy has scanned and handled

  Overrides:
    `getScannedComponentClasses` in class `HotDeploymentStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD